org.jboss.jca.embedded.dsl.resourceadapters10.api

## Interface ValidationType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ValidationType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `validationType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationType<T>` | `backgroundValidation(java.lang.Boolean backgroundValidation)` Sets the `background-validation` element
    `ValidationType<T>` | `backgroundValidationMillis(java.lang.Integer backgroundValidationMillis)` Sets the `background-validation-millis` element
    `java.lang.Integer` | `getBackgroundValidationMillis()` Returns the `background-validation-millis` element
    `java.lang.Boolean` | `isBackgroundValidation()` Returns the `background-validation` element
    `java.lang.Boolean` | `isUseFastFail()` Returns the `use-fast-fail` element
    `ValidationType<T>` | `removeBackgroundValidation()` Removes the `background-validation` element
    `ValidationType<T>` | `removeBackgroundValidationMillis()` Removes the `background-validation-millis` element
    `ValidationType<T>` | `removeUseFastFail()` Removes the `use-fast-fail` element
    `ValidationType<T>` | `useFastFail(java.lang.Boolean useFastFail)` Sets the `use-fast-fail` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### backgroundValidation

          ValidationType<T> backgroundValidation(java.lang.Boolean backgroundValidation)

      Sets the `background-validation` element
      Parameters:
        `backgroundValidation` - the value for the element `background-validation`
      Returns:
        the current instance of `ValidationType`

    - #### isBackgroundValidation

          java.lang.Boolean isBackgroundValidation()

      Returns the `background-validation` element
      Returns:
        the node defined for the element `background-validation`

    - #### removeBackgroundValidation

          ValidationType<T> removeBackgroundValidation()

      Removes the `background-validation` element
      Returns:
        the current instance of `ValidationType`

    - #### backgroundValidationMillis

          ValidationType<T> backgroundValidationMillis(java.lang.Integer backgroundValidationMillis)

      Sets the `background-validation-millis` element
      Parameters:
        `backgroundValidationMillis` - the value for the element `background-validation-millis`
      Returns:
        the current instance of `ValidationType`

    - #### getBackgroundValidationMillis

          java.lang.Integer getBackgroundValidationMillis()

      Returns the `background-validation-millis` element
      Returns:
        the node defined for the element `background-validation-millis`

    - #### removeBackgroundValidationMillis

          ValidationType<T> removeBackgroundValidationMillis()

      Removes the `background-validation-millis` element
      Returns:
        the current instance of `ValidationType`

    - #### useFastFail

          ValidationType<T> useFastFail(java.lang.Boolean useFastFail)

      Sets the `use-fast-fail` element
      Parameters:
        `useFastFail` - the value for the element `use-fast-fail`
      Returns:
        the current instance of `ValidationType`

    - #### isUseFastFail

          java.lang.Boolean isUseFastFail()

      Returns the `use-fast-fail` element
      Returns:
        the node defined for the element `use-fast-fail`

    - #### removeUseFastFail

          ValidationType<T> removeUseFastFail()

      Removes the `use-fast-fail` element
      Returns:
        the current instance of `ValidationType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)